ros-rolling-rqt-publisher (1.10.2-2resolute) resolute; urgency=high

  * Support Qt6 (#56 <https://github.com/ros-visualization/rqt_publisher/issues/56>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@gmail.com>  Sun, 12 Apr 2026 05:00:00 -0000

ros-rolling-rqt-publisher (1.10.1-2resolute) resolute; urgency=high

  * fix setuptools deprecations (#52 <https://github.com/ros-visualization/rqt_publisher/issues/52>)
  * Contributors: mosfet80

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 30 Jul 2025 05:00:00 -0000

ros-rolling-rqt-publisher (1.10.0-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 28 Apr 2025 05:00:00 -0000

ros-rolling-rqt-publisher (1.9.0-2resolute) resolute; urgency=high

  * Add in the remaining standard ament_python tests. (#49 <https://github.com/ros-visualization/rqt_publisher/issues/49>)
  * Add in LICENSE. (#46 <https://github.com/ros-visualization/rqt_publisher/issues/46>)
  * Remove CODEOWNERS (#47 <https://github.com/ros-visualization/rqt_publisher/issues/47>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 20 Dec 2024 06:00:00 -0000

ros-rolling-rqt-publisher (1.8.0-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-rqt-publisher (1.7.2-2resolute) resolute; urgency=high

  * Use raw strings for regular expressions. (#44 <https://github.com/ros-visualization/rqt_publisher/issues/44>)
  * Switch maintainer to me. (#43 <https://github.com/ros-visualization/rqt_publisher/issues/43>)
  * Update maintainer list in package.xml files (#42 <https://github.com/ros-visualization/rqt_publisher/issues/42>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 05:00:00 -0000

ros-rolling-rqt-publisher (1.7.1-2resolute) resolute; urgency=high

  * Add in a test dependency on pytest. (#41 <https://github.com/ros-visualization/rqt_publisher/issues/41>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Feb 2024 06:00:00 -0000

ros-rolling-rqt-publisher (1.7.0-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 28 Apr 2023 05:00:00 -0000

ros-rolling-rqt-publisher (1.6.3-2resolute) resolute; urgency=high

  * Changes the use of __slots__ for the field and field type getter
  * Contributors: Michael Jeronimo, Voldivh

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 05:00:00 -0000

ros-rolling-rqt-publisher (1.6.2-2resolute) resolute; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#36 <https://github.com/ros-visualization/rqt_publisher/issues/36>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 14 Feb 2023 06:00:00 -0000

ros-rolling-rqt-publisher (1.6.1-2resolute) resolute; urgency=high

  * Minor cleanups in rqt_publisher for ROS 2 (#35 <https://github.com/ros-visualization/rqt_publisher/issues/35>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 02 Nov 2022 05:00:00 -0000

ros-rolling-rqt-publisher (1.6.0-2resolute) resolute; urgency=high

  * Delete sync to foxy-devel workflow
  * Merge pull request #33 <https://github.com/ros-visualization/rqt_publisher/issues/33> from NBadyal/improve-evaluation-of-types
  * Use regex matching to strip errors from input
  * Change slot_type verification strategy
  * Mirror rolling to foxy-devel
  * Contributors: Audrow Nash, Geoffrey Biggs, Nicholas Badyal

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 02 Aug 2022 05:00:00 -0000

ros-rolling-rqt-publisher (1.2.0-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 10 May 2022 05:00:00 -0000

ros-rolling-rqt-publisher (1.1.3-2resolute) resolute; urgency=high

  * Fix: Do not ignore field values introduced by the user. (#28 <https://github.com/ros-visualization/rqt_publisher/issues/28>)
  * Fix modern setuptools warning about dashes instead of underscores. (#29 <https://github.com/ros-visualization/rqt_publisher/issues/29>)
  * Contributors: Chris Lalancette, coalman321

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 29 Jun 2021 05:00:00 -0000

ros-rolling-rqt-publisher (1.1.2-2resolute) resolute; urgency=high

  * Changed the build type to ament_python and fixed package to run with ros2 run (#18 <https://github.com/ros-visualization/rqt_publisher/issues/18>)
  * Drop numpy.float128 references (#26 <https://github.com/ros-visualization/rqt_publisher/issues/26>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 27 Apr 2021 05:00:00 -0000

ros-rolling-rqt-publisher (1.1.1-2resolute) resolute; urgency=high

  * Use rosidl_runtime_py instead of rqt_py_common where possible (#24 <https://github.com/ros-visualization/rqt_publisher/issues/24>)
  * Add now() to evaluation (#22 <https://github.com/ros-visualization/rqt_publisher/issues/22>)
  * Contributors: Ivan Santiago Paunovic, Yossi Ovcharik

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Mar 2021 05:00:00 -0000

ros-rolling-rqt-publisher (1.1.0-2resolute) resolute; urgency=high

  * fix setting expressions on sequence items (#16 <https://github.com/ros-visualization/rqt_publisher/issues/16>)

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 03 Oct 2019 05:00:00 -0000

ros-rolling-rqt-publisher (1.0.3-2resolute) resolute; urgency=high

  * Prepending node namespace to relative topics and adding validation for topic names (#7 <https://github.com/ros-visualization/rqt_publisher/issues/7>)
  * Contributors: brawner

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 13 Dec 2018 06:00:00 -0000

ros-rolling-rqt-publisher (1.0.2-2resolute) resolute; urgency=high

  * fix cleaning up publisher on shutdown (#6 <https://github.com/ros-visualization/rqt_publisher/issues/6>)

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 12 Dec 2018 06:00:00 -0000

ros-rolling-rqt-publisher (1.0.1-2resolute) resolute; urgency=high

  * destroy publishers on removal (#4 <https://github.com/ros-visualization/rqt_publisher/issues/4>)
  * Contributors: Mike Lautman

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 12 Dec 2018 06:00:00 -0000

ros-rolling-rqt-publisher (1.0.0-2resolute) resolute; urgency=high

  * Port to ROS2 (#2 <https://github.com/ros-visualization/rqt_publisher/issues/2>)
  * autopep8 (#1 <https://github.com/ros-visualization/rqt_publisher/issues/1>)
  * Contributors: Mike Lautman, brawner

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Dec 2018 06:00:00 -0000

ros-rolling-rqt-publisher (0.4.8-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 24 Apr 2017 05:00:00 -0000

ros-rolling-rqt-publisher (0.4.7-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 02 Mar 2017 06:00:00 -0000

ros-rolling-rqt-publisher (0.4.6-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 27 Feb 2017 06:00:00 -0000

ros-rolling-rqt-publisher (0.4.5-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 03 Feb 2017 06:00:00 -0000

ros-rolling-rqt-publisher (0.4.4-2resolute) resolute; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 24 Jan 2017 06:00:00 -0000

ros-rolling-rqt-publisher (0.4.3-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 02 Nov 2016 05:00:00 -0000

ros-rolling-rqt-publisher (0.4.2-2resolute) resolute; urgency=high

  * use checkbox for boolean types (#372 <https://github.com/ros-visualization/rqt_common_plugins/issues/372>)

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 19 Sep 2016 05:00:00 -0000

ros-rolling-rqt-publisher (0.4.1-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 16 May 2016 05:00:00 -0000

ros-rolling-rqt-publisher (0.4.0-2resolute) resolute; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Apr 2016 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.13-2resolute) resolute; urgency=high

  * fixed rqt_publisher plugin to fill message slots for individual fields of primitive arrays
  * use proper icon names for add/remove
  * Contributors: Robert Haschke, Vincent Rabaud

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 08 Mar 2016 06:00:00 -0000

ros-rolling-rqt-publisher (0.3.12-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 24 Jul 2015 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.11-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 30 Apr 2015 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.10-2resolute) resolute; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 01 Oct 2014 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.9-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 18 Aug 2014 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.8-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 15 Jul 2014 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.7-2resolute) resolute; urgency=high

  * fix compatibility with Groovy, use queue_size for Python publishers only when available (#243 <https://github.com/ros-visualization/rqt_common_plugins/issues/243>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 11 Jul 2014 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.6-2resolute) resolute; urgency=high

  * use queue_size for Python publishers

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 02 Jun 2014 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.5-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 May 2014 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.4-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 28 Jan 2014 06:00:00 -0000

ros-rolling-rqt-publisher (0.3.3-2resolute) resolute; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 08 Jan 2014 06:00:00 -0000

ros-rolling-rqt-publisher (0.3.2-2resolute) resolute; urgency=high

  * fix regression of 0.3.1 (rospack not defined)

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 14 Oct 2013 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.1-2resolute) resolute; urgency=high

  * improve performance to fill combo box with message types (#177 <https://github.com/ros-visualization/rqt_common_plugins/issues/177>)

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 09 Oct 2013 05:00:00 -0000

ros-rolling-rqt-publisher (0.3.0-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 28 Aug 2013 05:00:00 -0000

ros-rolling-rqt-publisher (0.2.17-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 04 Jul 2013 05:00:00 -0000

ros-rolling-rqt-publisher (0.2.16-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 09 Apr 2013 18:33:00 -0000

ros-rolling-rqt-publisher (0.2.15-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 09 Apr 2013 05:02:00 -0000

ros-rolling-rqt-publisher (0.2.14-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 14 Mar 2013 05:00:00 -0000

ros-rolling-rqt-publisher (0.2.13-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 12 Mar 2013 03:14:00 -0000

ros-rolling-rqt-publisher (0.2.12-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 11 Mar 2013 18:56:00 -0000

ros-rolling-rqt-publisher (0.2.11-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 08 Mar 2013 06:00:00 -0000

ros-rolling-rqt-publisher (0.2.10-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 22 Jan 2013 06:00:00 -0000

ros-rolling-rqt-publisher (0.2.9-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Jan 2013 06:00:00 -0000

ros-rolling-rqt-publisher (0.2.8-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 11 Jan 2013 06:00:00 -0000

ros-rolling-rqt-publisher (0.2.7-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 24 Dec 2012 06:00:00 -0000

ros-rolling-rqt-publisher (0.2.6-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 23 Dec 2012 06:00:00 -0000

ros-rolling-rqt-publisher (0.2.5-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sat, 22 Dec 2012 01:11:00 -0000

ros-rolling-rqt-publisher (0.2.4-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 21 Dec 2012 07:13:00 -0000

ros-rolling-rqt-publisher (0.2.3-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 21 Dec 2012 06:24:00 -0000

ros-rolling-rqt-publisher (0.2.2-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 21 Dec 2012 00:29:00 -0000

ros-rolling-rqt-publisher (0.2.1-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 20 Dec 2012 23:47:00 -0000

ros-rolling-rqt-publisher (0.2.0-2resolute) resolute; urgency=high

  * first release of this package into groovy

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 20 Dec 2012 23:39:00 -0000


